/*
 * help_widget.h - declaration of help-widget for side-bar
 *
 * iTALC
 * Copyright (c) 2004-2005 Tobias Doerffel <tobias@doerffel.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program (see COPYING); if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */


#ifndef _HELP_WIDGET_H
#define _HELP_WIDGET_H

#include "side_bar_widget.h"

class QLabel;
class QPushButton;


class helpWidget : public sideBarWidget
{
	Q_OBJECT
public:
	helpWidget( QWidget * _parent );
	virtual ~helpWidget();


private slots:
	void supportBtnClicked( void );
	void userSelected( const QString & _s );


private:
	QLabel * m_whatsThisTxt;
	QPushButton * m_whatsThisBtn;
	QLabel * m_supportTxt;
	QPushButton * m_supportBtn;
	QString m_supportUser;
} ;


#endif
